Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162445 - kickstart install with clearpart --none fails
Summary: kickstart install with clearpart --none fails
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-04 20:25 UTC by Alexandre Oliva
Modified: 2018-08-28 15:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-08 18:46:59 UTC


Attachments (Terms of Use)
Handle autoClearPartDrives == None (deleted)
2005-07-04 20:25 UTC, Alexandre Oliva
no flags Details | Diff

Description Alexandre Oliva 2005-07-04 20:25:38 UTC
A kickstart install told to not clear any existing partitions fails. 
self.autoClearPartDrives gets set to None, but then autopart.py:1243 attempts to
iterate on it as if it was a sequence.  The attached patch, that is missing a
reindent, fixed the problem for me.

Comment 1 Alexandre Oliva 2005-07-04 20:25:38 UTC
Created attachment 116333 [details]
Handle autoClearPartDrives == None

Comment 2 Jeremy Katz 2005-07-08 18:46:59 UTC
Applied in CVS


Note You need to log in before you can comment on or make changes to this bug.